<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>https://wiki.abuissa.net/index.php?action=history&amp;feed=atom&amp;title=User%3ARazzi%2Fvector.css</id>
	<title>User:Razzi/vector.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://wiki.abuissa.net/index.php?action=history&amp;feed=atom&amp;title=User%3ARazzi%2Fvector.css"/>
	<link rel="alternate" type="text/html" href="https://wiki.abuissa.net/index.php?title=User:Razzi/vector.css&amp;action=history"/>
	<updated>2026-04-20T02:29:40Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.39.13</generator>
	<entry>
		<id>https://wiki.abuissa.net/index.php?title=User:Razzi/vector.css&amp;diff=902&amp;oldid=prev</id>
		<title>Razzi: Try copying the dark mode less extension code compiled to css</title>
		<link rel="alternate" type="text/html" href="https://wiki.abuissa.net/index.php?title=User:Razzi/vector.css&amp;diff=902&amp;oldid=prev"/>
		<updated>2023-12-24T11:23:19Z</updated>

		<summary type="html">&lt;p&gt;Try copying the dark mode less extension code compiled to css&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* Link colors chosen for level AA conformance, see T233266 and T213778 */&lt;br /&gt;
@media screen {&lt;br /&gt;
  /* set height for Monobook and Timeless, because the filter in FF needs dimensions to get it to apply */&lt;br /&gt;
  html {&lt;br /&gt;
    height: 100%;&lt;br /&gt;
  }&lt;br /&gt;
  .ext-darkmode-link::before {&lt;br /&gt;
    content: &amp;#039;\263E&amp;#039;;&lt;br /&gt;
    /* Moon icon */&lt;br /&gt;
    display: inline-block;&lt;br /&gt;
  }&lt;br /&gt;
  /* Vector 2022 has its own icon, set in Hooks.php */&lt;br /&gt;
  .skin-vector-2022 .ext-darkmode-link::before {&lt;br /&gt;
    display: none;&lt;br /&gt;
  }&lt;br /&gt;
  /* START OF DARKMODE STYLES */&lt;br /&gt;
  .client-darkmode {&lt;br /&gt;
    /* Needed for some skins that have weird DOM structures and CSS such that elements don&amp;#039;t appear over the &amp;lt;body&amp;gt; */&lt;br /&gt;
    /* This also helps save energy on OLED displays (such as smart phones). */&lt;br /&gt;
    background: #fff;&lt;br /&gt;
    /* &amp;quot;Default mode&amp;quot; link */&lt;br /&gt;
    /* Reset overrides, needed where double application above isn&amp;#039;t working. */&lt;br /&gt;
    /* Vector modern */&lt;br /&gt;
    /* Backgrounds */&lt;br /&gt;
    /* Borders */&lt;br /&gt;
    /* Links */&lt;br /&gt;
    /* Links: normal */&lt;br /&gt;
    /* Visited links */&lt;br /&gt;
    /* Links: red */&lt;br /&gt;
    /* ::: Special Element Treatments ::: */&lt;br /&gt;
    /* Image thumbnails */&lt;br /&gt;
    /* Content image (thumbnail) SVGs */&lt;br /&gt;
    /* `*not( .mbox-image )` exception doesn&amp;#039;t work for unclear reasons */&lt;br /&gt;
    /* Dealing with false positives from selector above */&lt;br /&gt;
    /* Page previews */&lt;br /&gt;
    /* Contributions menu */&lt;br /&gt;
    /* Mobile logo header */&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode .ext-darkmode-link::before {&lt;br /&gt;
    content: &amp;#039;\263C&amp;#039;;&lt;br /&gt;
    /* Sun icon */&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode:not( .mw-invert ),&lt;br /&gt;
  .client-darkmode img:not( .mw-invert ),&lt;br /&gt;
  .client-darkmode video:not( .mw-invert ),&lt;br /&gt;
  .client-darkmode svg:not( .mw-invert ),&lt;br /&gt;
  .client-darkmode iframe:not( .mw-invert ),&lt;br /&gt;
  .client-darkmode .mw-no-invert:not( .mw-invert ),&lt;br /&gt;
  .client-darkmode .cdx-no-invert:not( .mw-invert ),&lt;br /&gt;
  .client-darkmode td .diffchange:not( .mw-invert ),&lt;br /&gt;
  .client-darkmode .skin-minerva .mw-notification-visible .mw-notification-content:not( .mw-invert ) {&lt;br /&gt;
    filter: invert(1) hue-rotate(180deg);&lt;br /&gt;
    -webkit-filter: invert(1) hue-rotate(180deg);&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode .skin-vector .mw-logo-wordmark,&lt;br /&gt;
  .client-darkmode .skin-vector .mw-logo-tagline,&lt;br /&gt;
  .client-darkmode .skin-timeless .mw-wiki-title &amp;gt; img,&lt;br /&gt;
  .client-darkmode .cdx-icon svg {&lt;br /&gt;
    filter: none;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode table,&lt;br /&gt;
  .client-darkmode table.ambox-content,&lt;br /&gt;
  .client-darkmode table.toccolours,&lt;br /&gt;
  .client-darkmode .mw-notification,&lt;br /&gt;
  .client-darkmode .mwe-popups,&lt;br /&gt;
  .client-darkmode .infobox,&lt;br /&gt;
  .client-darkmode .toc,&lt;br /&gt;
  .client-darkmode .thumbinner,&lt;br /&gt;
  .client-darkmode .wikitable,&lt;br /&gt;
  .client-darkmode .cbnnr-main,&lt;br /&gt;
  .client-darkmode .cx-callout,&lt;br /&gt;
  .client-darkmode #simpleSearch,&lt;br /&gt;
  .client-darkmode #searchInput,&lt;br /&gt;
  .client-darkmode #centralNotice .cnotice {&lt;br /&gt;
    background-color: #ddd;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode,&lt;br /&gt;
  .client-darkmode h1,&lt;br /&gt;
  .client-darkmode h2,&lt;br /&gt;
  .client-darkmode h3,&lt;br /&gt;
  .client-darkmode h4,&lt;br /&gt;
  .client-darkmode h5,&lt;br /&gt;
  .client-darkmode h6,&lt;br /&gt;
  .client-darkmode table.ambox-content,&lt;br /&gt;
  .client-darkmode table.toccolours,&lt;br /&gt;
  .client-darkmode .mw-notification,&lt;br /&gt;
  .client-darkmode .infobox,&lt;br /&gt;
  .client-darkmode .toc,&lt;br /&gt;
  .client-darkmode .thumbinner,&lt;br /&gt;
  .client-darkmode #mw-head,&lt;br /&gt;
  .client-darkmode #mw-panel,&lt;br /&gt;
  .client-darkmode #content.mw-body,&lt;br /&gt;
  .client-darkmode #simpleSearch,&lt;br /&gt;
  .client-darkmode #searchInput,&lt;br /&gt;
  .client-darkmode #centralNotice .cnotice {&lt;br /&gt;
    border-color: #cdcbc8;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode a,&lt;br /&gt;
  .client-darkmode .vector-menu-tabs li a,&lt;br /&gt;
  .client-darkmode .vectorTabs li a,&lt;br /&gt;
  .client-darkmode .toctogglelabel,&lt;br /&gt;
  .client-darkmode .mw-parser-output a.external,&lt;br /&gt;
  .client-darkmode .mw-parser-output a.extiw,&lt;br /&gt;
  .client-darkmode .mw-parser-output a.extiw:active,&lt;br /&gt;
  .client-darkmode #mw-panel .portal .body li a {&lt;br /&gt;
    color: #36c;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode a:visited,&lt;br /&gt;
  .client-darkmode .mw-parser-output a.extiw:visited,&lt;br /&gt;
  .client-darkmode #mw-panel .portal .body li a:visited {&lt;br /&gt;
    color: #6b4ba1;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode a.new,&lt;br /&gt;
  .client-darkmode .vector-menu-tabs li.new a,&lt;br /&gt;
  .client-darkmode .vectorTabs li.new a {&lt;br /&gt;
    color: #ff6e6e;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode .thumbimage {&lt;br /&gt;
    border: 0;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode .image img[src*=&amp;#039;svg&amp;#039;] {&lt;br /&gt;
    background-color: #fff;&lt;br /&gt;
    border-radius: 1px;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode .mw-echo-ui-notificationItemWidget-icon img[src*=&amp;#039;svg&amp;#039;],&lt;br /&gt;
  .client-darkmode .mbox-image .image img[src*=&amp;#039;svg&amp;#039;],&lt;br /&gt;
  .client-darkmode .image img[alt^=&amp;#039;Symbol&amp;#039;] {&lt;br /&gt;
    background-color: transparent;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode .mwe-popups {&lt;br /&gt;
    box-shadow: 0 30px 90px -20px rgba(0, 0, 0, 0.3), 0 0 1px #000;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode .mwe-popups.flipped-y::after,&lt;br /&gt;
  .client-darkmode .mwe-popups.flipped-x-y::after {&lt;br /&gt;
    border-top: 11px solid #ddd;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode .mwe-popups.mwe-popups-no-image-pointer::after {&lt;br /&gt;
    border-bottom: 11px solid #ddd;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode html .cx-callout-1::after {&lt;br /&gt;
    border-bottom-color: #ddd;&lt;br /&gt;
  }&lt;br /&gt;
  .client-darkmode html .branding-box img {&lt;br /&gt;
    filter: brightness(0);&lt;br /&gt;
  }&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>Razzi</name></author>
	</entry>
</feed>